%define qtdir /usr/lib/qt-1.44
%define name knewmail
%define version 3.1
%define release 1
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: An e-mail notification utility for KDE.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
Copyright: GPL
Url: http://www.slac.com/mpilone/knewmail_home/mainpage.html
Source: %{name}-%{version}.src.tar.gz
Patch0: knewmail-3.1-fixmoc.patch
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: kdesupport

%description
KNewMail is an e-mail notification utility for the K Desktop
Environment (KDE).  KNewMail supports multiple POP3 servers and can be
configured to notify you of new mail in a variety of ways: popping up
a window displaying the number of messages you have waiting; playing a
.wav file or the system bell, etc.  You'll need to have X and KDE
installed in order to use KNewMail.

%prep
%setup -q
%patch0 -p1 -b .fixmoc

%build
export QTDIR=%{qtdir} KDEDIR=%{prefix}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
			--prefix=%{prefix} \
			--with-install-root=$RPM_BUILD_ROOT
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%files
%doc AUTHORS COPYING ChangeLog BUGS README UPGRADE WHATSNEW knewmail/*.wav
%attr(755,root,root) %{prefix}/bin/knewmail

%attr( - ,root,root) %{prefix}/share/applnk
%attr( - ,root,root) %{prefix}/share/apps
%attr( - ,root,root) %{prefix}/share/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- upgraded for 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
